Bug 129487 - [CSS Regions] The height of a scrollable element flowed inside a scrollable region is not computed correctly
Summary: [CSS Regions] The height of a scrollable element flowed inside a scrollable r...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Radu Stavila
URL:
Keywords: AdobeTracked
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2014-02-28 08:21 PST by Radu Stavila
Modified: 2014-06-03 09:08 PDT (History)
5 users (show)

See Also:


Attachments
Test-case (2.82 KB, text/html)
2014-02-28 08:21 PST, Radu Stavila
no flags Details
Test-case 2 (2.79 KB, text/html)
2014-03-07 07:12 PST, Radu Stavila
no flags Details
Patch (66.70 KB, patch)
2014-03-20 05:22 PDT, Radu Stavila
no flags Details | Formatted Diff | Diff
Patch v2 (66.21 KB, patch)
2014-03-20 06:43 PDT, Radu Stavila
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radu Stavila 2014-02-28 08:21:29 PST
Created attachment 225467 [details]
Test-case

If the scrollable element flowed into a region is large enough to not fit the region and generate scrollbars, the region cannot be scrolled all the way down to see the entire flowed element. See test-case.
Comment 1 Radu Stavila 2014-03-07 07:12:02 PST
Created attachment 226125 [details]
Test-case 2

Apparently this issue also happens when flowing a div with a not-specified height or a specified height which is greater than the height of its contents. In that situation, the region cannot be scrolled all the way down to see the bottom border of the flowed div.
Comment 2 Radu Stavila 2014-03-20 05:22:10 PDT
Created attachment 227282 [details]
Patch
Comment 3 Radu Stavila 2014-03-20 06:43:45 PDT
Created attachment 227286 [details]
Patch v2
Comment 4 Andrei Bucur 2014-03-20 06:46:45 PDT
Comment on attachment 227286 [details]
Patch v2

r=me
Comment 5 WebKit Commit Bot 2014-03-20 08:01:41 PDT
Comment on attachment 227286 [details]
Patch v2

Clearing flags on attachment: 227286

Committed r165964: <http://trac.webkit.org/changeset/165964>
Comment 6 WebKit Commit Bot 2014-03-20 08:01:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radu Stavila 2014-06-03 09:08:21 PDT
This caused https://bugs.webkit.org/show_bug.cgi?id=133481